<?php

require_once(dirname(__FILE__) . "/MyEmo.php");

function main()
{
	$Emo =& new MyEmo;
	$_POST = $Emo->post();
	if ($_POST['mode'] == "write" && $_POST['t1']) {
		write($_POST['t1']);
	}
	$out .= head();
	$out .= form();
	$out .= read();
	$out .= foot();
	$out = $Emo->decode($out);
	print $out;
}
function head()
{
	$rtn = <<<EOD
<html>
<head>
<meta http-equiv="content-type" content="text/html;charset=[[Emo.type_out]]">
</head>
<body>
EOD;
	return $rtn;
}
function foot()
{
	$rtn = <<<EOD
</body>
</html>
EOD;
	return $rtn;
}

function form()
{
	$Emo =& new MyEmo;
	if (!$Emo->isMobile()) {
		$js = $Emo->dialogJs();
		$btn = $Emo->dialogBtn("document.f1.t1");
	}
	$rtn = <<<EOD
{$btn}
<form action="./bbs.php" method="post" name="f1">
<input type="hidden" name="mode" value="write">
<input type="text" name="t1" size="70" value="{$_POST['text']}">
<input type="submit" value="送信">
<a href="./bbs.php">reload</a>
</form><br>
<script>
{$js}
</script>
EOD;
	return $rtn;
}

function read()
{
	$file = "data.php";
	$d = File::read($file);
	$arr = preg_split("/(\r\n|\r|\n)/", $d);
	foreach ($arr as $key => $value) {
		if ($key <= 20) {	// 最初の20行のみ表示
			$rtn .= $value . "<hr>";
		}
	}
	return $rtn;
}

function write($d)
{
	$file = "data.php";
	$d = preg_replace("/(\r\n|\r|\n)/", "", $d);	// 改行コード削除
	$d = strip_tags($d);							// タグ削除
	$d = $d . "\t[ " . date("Y/m/d H:i:s", time()) . " ]\n";
	$d .= File::read($file);
	File::write($file, $d);
}

class File
{
	//--------------------------------------------------
	/**
	 * ファイルから単一データ取得
	 *
	 * @param		string	$filename	ファイル名
	 * @return		string	$rtn		取得データ
	 */
	function read($filename)
	{
		if (!file_exists($filename)) {return;}
		if (!$handle = fopen($filename, 'r')) {
			return;
		}
		$rtn = "";
		if ($handle) {
			while (!feof($handle)) {
				$line = fgets($handle, 1024);
				$rtn .= $line;
			}
			fclose($handle);
		}
		return $rtn;
	}
	//--------------------------------------------------
	/**
	 * ファイルへ単一データ書込
	 *
	 * @param		string	$filename	ファイル名
	 * @param		string	$data		書込データ
	 * @return		void
	 */
	function write($filename, $data)
	{
		// 書き込みモードでファイルを開く
		if (!$handle = fopen($filename, 'w')) {
			return;
		}
		if (fwrite($handle, $data) === FALSE) {
			return;
		}
		fclose($handle);
	}
}
main();

?>